## ExoToolbarsView

ExoToolbarsView — Widget for displaying toolbars

## Functions

GtkWidget * | exo_toolbars_view_new ()
GtkWidget * | exo_toolbars_view_new_with_model ()
gboolean | exo_toolbars_view_get_editing ()
void | exo_toolbars_view_set_editing ()
ExoToolbarsModel * | exo_toolbars_view_get_model ()
void | exo_toolbars_view_set_model ()
GtkUIManager * | exo_toolbars_view_get_ui_manager ()
void | exo_toolbars_view_set_ui_manager ()

## Properties

gboolean | editing | Read / Write
ExoToolbarsModel * | model | Read / Write
GtkUIManager * | ui-manager | Read / Write

## Signals

void | action-request | Run Last
void | customize | Run Last

## Types and Values

struct | ExoToolbarsView

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBox
                            ╰── GtkVBox
                                ╰── ExoToolbarsView

## Implemented Interfaces

ExoToolbarsView implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Includes

    #include <exo/exo.h>

## Description

A widget that displays toolbars as described in a ExoToolbarsModel object.

## Functions

### exo_toolbars_view_new ()

    GtkWidget *
    exo_toolbars_view_new (GtkUIManager *ui_manager);

Creates a new ExoToolbarsView.

#### Parameters

ui_manager | A GtkUIManager. |

#### Returns

A newly created ExoToolbarsView.

### exo_toolbars_view_new_with_model ()

    GtkWidget *
    exo_toolbars_view_new_with_model (GtkUIManager *ui_manager,
                                      ExoToolbarsModel *model);

Creates a new ExoToolbarsView and associates it with `model` .

#### Parameters

ui_manager | A GtkUIManager. |
model | An ExoToolbarsModel. |

#### Returns

A newly created ExoToolbarsView.

### exo_toolbars_view_get_editing ()

    gboolean
    exo_toolbars_view_get_editing (ExoToolbarsView *view);

Gets wether `view` is currently being edited.

#### Parameters

view | An ExoToolbarsView. |

#### Returns

`TRUE` if `view` is currently being edited, else `FALSE`.

### exo_toolbars_view_set_editing ()

    void
    exo_toolbars_view_set_editing (ExoToolbarsView *view,
                                   gboolean editing);

Sets wether `view` is currently being edited.

#### Parameters

view | An ExoToolbarsView. |
editing | New editing mode. |

### exo_toolbars_view_get_model ()

    ExoToolbarsModel *
    exo_toolbars_view_get_model (ExoToolbarsView *view);

Returns the ExoToolbarsModel currently associated with `view` or `NULL` if `view` has no model.

#### Parameters

view | An ExoToolbarsView. |

#### Returns

The ExoToolbarsModel associated with `view` .

### exo_toolbars_view_set_model ()

    void
    exo_toolbars_view_set_model (ExoToolbarsView *view,
                                 ExoToolbarsModel *model);

Set the ExoToolbarsModel currently associated with `view` or `NULL` to disconnect from the active model.

#### Parameters

view | An ExoToolbarsView. |
model | An ExoToolbarsModel or `NULL`. |

### exo_toolbars_view_get_ui_manager ()

    GtkUIManager *
    exo_toolbars_view_get_ui_manager (ExoToolbarsView *view);

Returns the GtkUIManager currently associated with `view` or `NULL` is no ui-manager has been set.

#### Parameters

view | An ExoToolbarsView. |

#### Returns

The GtkUIManager associated with `view` or `NULL`.

### exo_toolbars_view_set_ui_manager ()

    void
    exo_toolbars_view_set_ui_manager (ExoToolbarsView *view,
                                      GtkUIManager *ui_manager);

Set the GtkUIManager currently associated with `view` or `NULL` to disconnect from the current ui-manager.

#### Parameters

view | An ExoToolbarsView. |
ui_manager | A GtkUIManager or `NULL`. |

## Types and Values

### struct ExoToolbarsView

    struct ExoToolbarsView;

The ExoToolbarsView struct contains only private fields and should not be directly accessed.

## Property Details

### The `“editing”` property

      “editing”                  gboolean

This property tells if the toolbars contained with this ExoToolbarsView are currently being edited by the user. If the user edits a view, the view will act as proxy and make the requested changes to the model.

Flags: Read / Write

Default value: FALSE

### The `“model”` property

      “model”                    ExoToolbarsModel *

The ExoToolbarsModel associated with this ExoToolbarsView or `NULL` if there is no model currently associated with this view. The view is build up from the model, which says, that it will display the toolbars as described in the model.

Flags: Read / Write

### The `“ui-manager”` property

      “ui-manager”               GtkUIManager *

The GtkUIManager currently associated with this ExoToolbarsView or `NULL`. The GtkUIManager object is used to translate action names as used by the ExoToolbarsModel into GtkAction objects, which are then used to create and maintain the items in the toolbars.

Flags: Read / Write

## Signal Details

### The `“action-request”` signal

    void
    user_function (ExoToolbarsView *view,
                   gchar           *arg1,
                   gpointer         user_data)

This signal is emitted when a new GtkToolItem is created from a GtkAction in the ExoToolbarsView.

#### Parameters

view | An ExoToolbarsView. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

### The `“customize”` signal

    void
    user_function (ExoToolbarsView *view,
                   gpointer         user_data)

This signal is emitted if the users chooses the Customize Toolbars... option from the right-click menu.

Please take note, that the option will only be present in the right-click menu, if you had previously connected a handler to this signal.

#### Parameters

view | An ExoToolbarsView. |
user_data | user data set when the signal handler was connected. |

Flags: Run Last

## See Also

ExoToolbarsEditor, ExoToolbarsEditorDialog, ExoToolbarsModel